API ডকুমেন্টেশন

API ডকুমেন্টেশন


FileHost.net provides a simple HTTP API to integrate ours into your business or application.
All requests to the API should be only GET or POST
You can find your API key here - https://filehost.net/settings

রেট লিমিট

API অনুরোধ প্রতি সেকেন্ডে 10টিতে সীমিত - বেশি দরকার হলে যোগাযোগ করুন

রেসপন্স
{"msg":"Too Many Requests","status":"429"}

অ্যাকাউন্ট

অ্যাকাউন্ট তথ্য

আপনার অ্যাকাউন্টের মূল তথ্য পান

GET https://filehost.net/api/account/info?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
      "email": "[email protected]",
      "balance": "0.00000",
      "storage_used" :"24186265",
      "storage_left": 128824832615,
      "premim_expire": "2026-03-12 21:00:00
  }
}

অ্যাকাউন্ট রিপোর্ট

আপনার অ্যাকাউন্টের রিপোর্ট পান (ডিফল্ট শেষ 7 দিন)

GET https://filehost.net/api/account/stats?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
last
শেষ x দিনের রিপোর্ট
না
from_date
শুরুর তারিখ - YYYY-MM-DD
না
to_date
শেষ তারিখ - YYYY-MM-DD
না
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "profit_views": "0.00000",
      "downloads": "0",
      "views": "0",
      "day": "2026-03-12",
      "profit_total": "0.00000"
    },
    {
      "profit_views": "0.00000",
      "downloads": "0",
      "views": "0",
      "day": "2026-03-12",
      "profit_total": "0.00000"
    }
  ]
}

DMCA তালিকা

DMCA রিপোর্ট করা ফাইলের তালিকা (প্রতি পেজে 500 ফলাফল)

GET https://filehost.net/api/dmca/list?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
per_page
প্রতি পেজে ফলাফল (ডিফল্ট 500)
না
page
পেজিনেশন
না
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "reported_on": "2026-03-12 04:30:07",
      "protected_download": "yyy",
      "protected_embed": "zzz",
      "file_code": "xxx",
      "fld_id": "0",
      "disabled_on": "2026-03-12 05:00:07"
    }
  ]
}

আপলোড

লোকাল আপলোড

API দিয়ে লোকাল ফাইল আপলোড

GET https://filehost.net/api/upload/server?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "https://filehost.net/api/upload/server/01?key={your_api_key}"
}
ব্যবহারের উদাহরণ (cURL)
curl -X POST -F 'api_key={your_api_key}' -F '[email protected]' "https://filehost.net/api/upload/server/01?key={your_api_key}"
ব্যবহারের উদাহরণ (HTML)
<form enctype="multipart/form-data" action="https://filehost.net/api/upload/server/01?key={your_api_key}" method="post">
<input type="hidden" name="api_key" value="{your_api_key}">
<input name="file" type="file">
<input type="submit">
</form>
আপলোডের পরের রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "download_url": "https://filehost.net/d/xxx",
      "single_img": "../assets/img/examples/snaps/xxx.jpg",
      "status": 200,
      "filecode": "xxx",
      "splash_img": "../assets/img/examples/splash/xxx.jpg",
      "canplay": 1,
      "size": "123456",
      "length": "123456",
      "uploaded": "2026-03-12 04:30:07",
      "protected_embed": "https://filehost.net/e/yyy",
      "protected_dl": "https://filehost.net/d/zzz",
      "title": "test_file"
    }
  ]
}

কপি বা ক্লোন

নিজের বা অন্যের ফাইল কপি / ক্লোন করুন

GET https://filehost.net/api/file/clone?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
file_code
ফাইল কোড
হ্যাঁ
fld_id
ফোল্ডার ID (ফোল্ডারে কপি করতে)
না
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
    "embed_url": "https://filehost.net/e/xxx",
    "download_url": "https://filehost.net/d/xxx",
    "protected_download": "https://filehost.net/d/yyy",
    "protected_embed": "https://filehost.net/e/zzz",
    "filecode": "xxx"
  }
}

রিমোট আপলোড

লিংক যোগ

সরাসরি লিংক দিয়ে ফাইল আপলোড

GET https://filehost.net/api/upload/url?key={your_api_key}&url={upload_url}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
url
আপলোডের URL
হ্যাঁ
fld_id
ফোল্ডারের ভেতরে আপলোড করতে
না
new_title
নতুন শিরোনাম দিতে
না
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "new_title": "",
  "status": 200,
  "total_slots": "100",
  "result": {
    "filecode": "98zukoh5jqiw"
  },
  "used_slots": "0"
}

রিমোট আপলোড তালিকা

রিমোট আপলোডের তালিকা ও অবস্থা

GET https://filehost.net/api/urlupload/list?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "bytes_total": "0",
      "created": "2026-03-12 04:30:07",
      "remote_url": "https://dropbox.com/hukbasd7k3fd",
      "status": "working",
      "file_code": "98zukoh5jqiw",
      "bytes_downloaded": "0",
      "folder_id": "0"
    }
  ]
}

রিমোট আপলোডের অবস্থা

রিমোট আপলোডের অবস্থা

GET https://filehost.net/api/urlupload/status?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
file_code
ফাইলের ফাইল কোড
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "bytes_total": "0",
      "created": "2026-03-12 04:30:07",
      "remote_url": "https://dropbox.com/hukbasd7k3fd",
      "status": "working",
      "file_code": "hjsnr087johj",
      "bytes_downloaded": "0",
      "folder_id": "0"
    }
  ]
}

রিমোট আপলোড স্লট

মোট ও ব্যবহৃত রিমোট আপলোড স্লট দেখুন

GET https://filehost.net/api/urlupload/slots?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "total_slots": "100",
  "used_slots": "10"
}

রিমোট আপলোড অ্যাকশন

রিমোট আপলোডে বিভিন্ন কাজ করুন

GET https://filehost.net/api/urlupload/actions?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
restart_errors
ত্রুটিগুলো আবার চালান
হ্যাঁ
clear_errors
সব ত্রুটি মুছুন
না
clear_all
সব মুছুন
না
delete_code
ট্রান্সফার মুছতে file_code দিন
না
রেসপন্স
{
  "msg": "Errors restarted",
  "server_time": "2026-03-12 04:30:07",
  "status": 200
}

ফোল্ডার ম্যানেজ

ফোল্ডার তৈরি

ফোল্ডার তৈরি করুন

GET https://filehost.net/api/folder/create?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
name
ফোল্ডারের নাম
হ্যাঁ
parent_id
প্যারেন্ট ফোল্ডার ID
না
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
    "fld_id": "1234567"
  }
}

ফোল্ডারের নাম বদল

সব ফোল্ডার দেখুন

GET https://filehost.net/api/folder/rename?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
fld_id
ফোল্ডার ID
হ্যাঁ
name
ফোল্ডারের নতুন নাম
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

ফোল্ডার ও ফাইলের তালিকা

সব ফোল্ডার দেখুন

GET https://filehost.net/api/folder/list?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
fld_id
ফোল্ডার ID
হ্যাঁ
only_folders
শুধু ফোল্ডার দেখাতে (0 বা 1)
না
রেসপন্স
{
    "msg":"OK",
    "status":200,
    "result":{
        "folders":[
            {
            "name":"Folder name",
            "code":"67299gduj3",
            "fld_id":"123"
            },
        ],
        "files": [
              {
                "download_url": "https://filehost.net/d/xxx",
                "single_img": "../assets/img/examples/snaps/xxx.jpg",
                "file_code": "xxx",
                "canplay": 1,
                "length": "1234",
                "views": "1",
                "uploaded": "2026-03-12 04:30:07",
                "public": "1",
                "fld_id": "0",
                "title": "test_file"
              }
            ],
    },
        "server_time":"2026-03-12 07:31:01"
}


ফাইল পরিচালনা

ফাইলের তালিকা

সব ফাইল দেখুন

GET https://filehost.net/api/file/list?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
page
পেজিনেশন
না
per_page
প্রতি পেজে সর্বোচ্চ ভিডিও (সর্বোচ্চ 200)
না
fld_id
ফোল্ডারের ভেতরের ভিডিও
না
created
Show files uploaded after timestamp (Ex : 2026-03-12 03:15:19)
Or specify number to show only files uploaded X minutes ago
না
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": {
    "total_pages": 1,
    "files": [
      {
        "download_url": "https://filehost.net/d/xxx",
        "single_img": "../assets/img/examples/snaps/xxx.jpg",
        "file_code": "xxx",
        "canplay": 1,
        "length": "1234",
        "views": "1",
        "uploaded": "2026-03-12 04:30:07",
        "public": "1",
        "fld_id": "0",
        "title": "test_file"
      }
    ],
    "results_total": "1",
    "results": 1
  }
}

ফাইলের অবস্থা

ফাইলের অবস্থা দেখুন

GET https://filehost.net/api/file/check?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
file_code
ফাইল কোড
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "status": "Active",
      "filecode": "xxx"
    }
  ]
}

ফাইল তথ্য

ফাইল তথ্য পান

GET https://filehost.net/api/file/info?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
file_code
ফাইল কোড
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "single_img": "../assets/img/examples/snaps/xxx.jpg",
      "status": 200,
      "filecode": "xxx",
      "splash_img": "../assets/img/examples/splash/xxx.jpg",
      "canplay": 1,
      "size": "123456",
      "views": "0",
      "length": "123456",
      "uploaded": "2026-03-12 04:30:07",
      "last_view": "",
      "protected_embed": "/e/yyy",
      "protected_dl": "/d/zzz",
      "title": "test_file"
    }
  ]
}

ফাইলের ছবি

ফাইলের স্প্ল্যাশ, একক বা থাম্বনেইল ছবি পান

GET https://filehost.net/api/file/image?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
file_code
ফাইল কোড
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": [
    {
      "status": 200,
      "filecode": "xxx",
      "title": "test_file",
      "single_img": "../assets/img/examples/snaps/xxx.jpg",
      "thumb_img": "../assets/img/examples/thumbnails/xxx.jpg",
      "splash_img": "../assets/img/examples/splash/xxx.jpg"
    }
  ]
}

ফাইলের নাম বদল

ফাইলের নাম বদলান

GET https://filehost.net/api/file/rename?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
file_code
ফাইল কোড
হ্যাঁ
title
ফাইলের নতুন নাম
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

ফাইল সরানো

ফাইল এক ফোল্ডার থেকে অন্যটিতে সরান

GET https://filehost.net/api/file/move?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
file_code
ফাইল কোড
হ্যাঁ
fld_id
ফাইল সরানোর ফোল্ডার ID (0 দিলে মূল ডিরেক্টরি)
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

আপনার ফাইল খুঁজুন

GET https://filehost.net/api/search/videos?key={your_api_key}
প্যারামিটার
বিবরণ
আবশ্যক
key
আপনার API কী
হ্যাঁ
search_term
সার্চ শব্দ
হ্যাঁ
রেসপন্স
{
  "msg": "OK",
  "server_time": "2026-03-12 04:30:07",
  "status": 200,
  "result": "true"
}

অতিরিক্ত

রিমোট স্প্ল্যাশ ছবি

URL থেকে সরাসরি স্প্ল্যাশ ছবি লোড করুন

URL https://filehost.net/e/xxx?c_poster=https://example.com/image.jpg
প্যারামিটার
বিবরণ
আবশ্যক
c_poster
স্প্ল্যাশ ছবি
হ্যাঁ

রিমোট সাবটাইটেল

URL থেকে সরাসরি একাধিক সাবটাইটেল লোড করুন

URL https://filehost.net/e/xxx?c1_file=https://example.com/sub.vtt&c1_label=English
প্যারামিটার
বিবরণ
আবশ্যক
c1_file
সাবটাইটেল URL (srt বা vtt)
হ্যাঁ
c1_label
সাবটাইটেলের ভাষা বা যেকোনো লেবেল
হ্যাঁ

রিমোট সাবটাইটেল JSON

JSON ফরম্যাটে URL থেকে একাধিক সাবটাইটেল লোড করুন

URL https://filehost.net/e/xxx?subtitle_json=https://example.com/sub.json
প্যারামিটার
বিবরণ
আবশ্যক
subtitle_json
JSON ফরম্যাটে একাধিক সাবটাইটেল
হ্যাঁ
রিমোট সাবটাইটেল JSON উদাহরণ
[
 {"src":"https://example.com/name_en.vtt", "label":"English", default: true},
 {"src":"https://example.com/name_fr.vtt", "label":"French"}
]

অফিসিয়াল ক্লায়েন্ট

অফিসিয়াল PHP ক্লায়েন্ট

শীঘ্রই আসছে।

অফিসিয়াল Python ক্লায়েন্ট

শীঘ্রই আসছে।

যোগাযোগ

API অ্যাক্সেস ও ইন্টিগ্রেশন সাপোর্টের জন্য যোগাযোগ করুন [email protected] ঠিকানায়।